Subject: bug#70163: 29.3; hexl-mode incorrect docstring

From: Andreas Schwab <[email-masked]>
Date: Thu, 04 Apr 2024 14:45:14 +0200

On Apr 04 2024, Eli Zaretskii wrote:

> Does the patch below gives any better results?  It doesn't look better
> to me: the "Uses keymap..." blurb gets in the way and makes the
> documentation text wrong.

C-h f hexl-mode triggers the autoload and uses the substituted doc
string (thus no blurb).  M-x apropos hexl-mode does not trigger the
autoload and uses the substituted first line of the doc string
(including the blurb if present).  C-h a hexl-mode uses the first line
of the raw doc string.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."